> For the complete documentation index, see [llms.txt](https://docs.turbine.exchange/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.turbine.exchange/reference/contracts/solidity-documentation/settler/structs/struct.turbinepoolexecution.md).

# TurbinePoolExecution

[Git Source](https://github.com/propeller-heads/turbine/blob/90514973167f1eb25cb9eb7756354fb3de34824d/src/settler/structs/Execution.sol)

**Title:** TurbinePoolExecution

Instructions on how to execute a swap on a Turbine pool. The buyToken and sellToken meaning stays the same as SmartOrderExecution.

```solidity
struct TurbinePoolExecution {
address sellToken;
address buyToken;
uint256 sellAmount;
uint256 buyAmount;
uint24 poolFee;
uint256 deadline;
}
```

**Properties**

| Name         | Type      | Description                            |
| ------------ | --------- | -------------------------------------- |
| `sellToken`  | `address` | The token being sold by the order.     |
| `buyToken`   | `address` | The token being bought by the order.   |
| `sellAmount` | `uint256` | The amount of sellToken being swapped. |
| `buyAmount`  | `uint256` | The amount of buyToken being swapped.  |
| `poolFee`    | `uint24`  | The fee tier of the pool.              |
| `deadline`   | `uint256` | The deadline for the swap execution.   |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.turbine.exchange/reference/contracts/solidity-documentation/settler/structs/struct.turbinepoolexecution.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
